# Get Invoices

> Source: https://truto.one/docs/api-reference/unified-subscription-management-api/invoices/get/

`GET /unified/subscription-management/invoices/{id}`

Resource: **Invoices** · API: **Unified Subscription Management API**

## Supported integrations

Billsby, Chargebee, Chargify, PayPal, Stripe

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string, required)_
  Unique identifier for the invoice
- **`customer`** _(object)_
  - **`id`** _(string)_
    Unique identifier for the customer
  - **`name`** _(string)_
    Name of the customer
  - **`email`** _(string)_
    Email of the customer
  - **`phone`** _(string)_
    Phone number of the customer
  - **`created_at`** _(string)_
    Date and time when the customer was created
  - **`updated_at`** _(string)_
    Date and time when the customer was last updated
- **`subscription_id`** _(string)_
  Unique identifier for the subscription associated with the invoice
- **`is_recurring`** _(boolean)_
  Whether the invoice is recurring or not
- **`status`** _(string)_
  Status of the invoice. In case there is no clear mapping, the raw status is passed.
  Allowed: `pending`, `paid`, `failed`, `cancelled`, `refunded`, `draft`
- **`issue_date`** _(string)_
  Date of the invoice
- **`due_date`** _(string)_
  Due date of the invoice
- **`paid_on_date`** _(string)_
  Date when the invoice was paid or marked as paid
- **`transaction_fee`** _(string)_
  Transaction fee on a payment
- **`number`** _(string)_
  Invoice number
- **`currency`** _(string)_
  Currency of the invoice
- **`exchange_rate`** _(number)_
  Exchange rate of the currency of the invoice
- **`total_discount`** _(string)_
  Total discount applied to the invoice
- **`sub_total`** _(string)_
  Sub total of the invoice
- **`total_tax_amount`** _(string)_
  Total tax amount of the invoice
- **`balance`** _(string)_
  Balance amount to be paid
- **`payments`** _(array<object>)_
  List of payments associated with the invoice
  - **`id`** _(string)_
    Unique identifier for the payment
  - **`method`** _(string)_
    Payment method used for the payment. In case there is no clear mapping, the raw payment method is passed.
    Allowed: `card`, `bank_transfer`, `cash`, `check`, `paypal`, `wallet`, `wire_transfer`
  - **`status`** _(string)_
    Status of the payment. In case there is no clear mapping, the raw status is passed.
    Allowed: `pending`, `authorized`, `paid`, `partial`, `refunded`, `voided`, `cancelled`, `unknown`
  - **`amount`** _(string)_
    Amount of the payment
  - **`currency`** _(string)_
    Currency of the payment
  - **`exchange_rate`** _(number)_
    Exchange rate of the currency of the payment
  - **`created_at`** _(string)_
    Date and time when the payment was created
  - **`updated_at`** _(string)_
    Date and time when the payment was last updated
- **`line_items`** _(array<object>)_
  List of line items associated with the invoice
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(string)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`tax_amount`** _(string)_
    The tax amount of the line item
  - **`total_line_amount`** _(string)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`memo`** _(string)_
  Memo of the invoice
- **`created_at`** _(string)_
  Date and time when the invoice was created
- **`updated_at`** _(string)_
  Date and time when the invoice was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/subscription-management/invoices/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/subscription-management/invoices/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/subscription-management/invoices/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'subscription-management',
  'invoices',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "subscription-management",
        "invoices",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
